/* ==========================================================================
   WooCommerce Product List page styles - begin
   ========================================================================== */

.mkdf-pl-main-holder,
.related.products,
.upsells.products,
.cross-sells,
.mkdf-content .woocommerce {
    @include mkdfRelativeHolderLayout();
}

.mkdf-pl-main-holder {
    margin: 0 0 28px;
    
    .mkdf-woo-pl-info-below-image & {
        
        ul.products {
            
            > .product {
    
                .button,
                .added_to_cart {
                    margin: 0;
                    width: 100%;
                    background-color: rgba(255,255,255,.9);
                    color: $first-main-color;
                    @include mkdfTransform(translateY(100%));
                    @include mkdfTransition(all 0.25s ease-in-out);

                    &:before {
                        content: "\f067";
                        font-family: FontAwesome;
                        display: inline-block;
                        position: relative;
                        font-size: 15px;
                        margin-right: 10px;
                    }
                }
            }
        }
    }
    
    .mkdf-woo-pl-info-on-image-hover & {
        margin: 0 0 50px;
    }
}

ul.products {
    list-style: none;
    margin: 0 -10px;
    clear: both;
    
    > .product {
        position: relative;
        float: left;
        display: inline-block;
        vertical-align: middle;
        padding: 0 10px;
        margin: 0 0 20px;
        box-sizing: border-box;
        
        .touch & {
            cursor: pointer;
        }
        
        &:hover {
            .mkdf-pl-inner .button,
            .mkdf-pl-inner .added_to_cart,
            .button,
            .added_to_cart {
                @include mkdfTransform(translateY(0));
                background-color: rgba(255,255,255,.9);
                color: $first-main-color;
            }
        }
        
        .mkdf-product-list-title {
            margin: 0 0 8px;
            color: #545454;
        }
        
        .mkdf-pl-rating-holder {
            @include mkdfRelativeHolderLayout();
            line-height: 1;
            margin: 4px 0 17px;
        }
        
        .price {
            display: block;
            line-height: 1;
            margin: 14px 0 0;
            color: $first-main-color;
            font-size: 16px;
            font-weight: 700;
            font-family: $default-heading-font;
            
            * {
                font-size: inherit;
                line-height: inherit;
            }
            
            del {
                margin: 0 8px 0 0;
                color: #bababa;
            }
            
            ins {
                text-decoration: none;
            }
        }
        
        .button,
        .added_to_cart {
            margin: 0;
            width: 100%;
            background-color: rgba(255,255,255,.9);
            color: $first-main-color;
            @include mkdfTransform(translateY(100%));
            @include mkdfTransition(all 0.25s ease-in-out);

            &:before {
                content: "\f067";
                font-family: FontAwesome;
                display: inline-block;
                position: relative;
                font-size: 15px;
                margin-right: 10px;
            }
        }
        
        .button.added {
            display: none;
        }
        
        .mkdf-pl-inner {
            @include mkdfRelativeHolderLayout();
            overflow: hidden;
            
            .mkdf-pl-image {
                @include mkdfRelativeHolderLayout();
                overflow: hidden;
                border: 1px solid #e5e5e5;
                box-sizing: border-box;
                
                img {
                    display: block;
                    width: 100%;
                }
            }
            
            .mkdf-pl-text {
                position: absolute;
                top: 0;
                left: 0;
                display: inline-block;
                width: 100%;
                height: 100%;
                padding: 0;
                box-sizing: border-box;
            }
            
            .mkdf-pl-text-outer {
                position: relative;
                display: table;
                width: 100%;
                height: 100%;
                text-align: center;
            }
            
            .mkdf-pl-text-inner {
                position: relative;
                display: table-cell;
                width: 100%;
                height: 100%;
                vertical-align: bottom;
                
                .mkdf-product-list-title,
                .star-rating {
                    color: #fff;
                }
                
                .price {
                    color: #fff;
                    
                    del {
                        color: #ccc;
                    }
                }
            }
            
            > a {
                @include mkdfAbsoluteHolderLayout();
            }
        }
        
        .mkdf-pl-text-wrapper {
            @include mkdfRelativeHolderLayout();
            margin: 19px 0 18px;
            text-align: center;
        }
    }
}

$columns_space_label: ('no', 'small', 'normal');
$columns_space_width: (0, 10, 15);

@for $i from 0 to length($columns_space_label) {
    &.mkdf-woo-#{nth($columns_space_label,$i+1)}-space {
        $column_width: nth($columns_space_width,$i+1);
        $column_width_margin: $column_width * 2;
        
        ul.products {
            @if($column_width == 0) {
                margin: 0;
            } @else {
                margin: 0 -#{$column_width}px;
            }
            
            > .product {
                padding: 0 #{$column_width}px;
                margin: 0 0 #{$column_width_margin}px;
            }
        }
    }
}

.mkdf-pl-main-holder,
.related.products,
.upsells.products,
.cross-sells {
    
    $product_list_columns: ('columns-3', 'columns-4');
    
    @for $i from 0 to length($product_list_columns) {
        $column_width: 100%/($i+3);
        
        > .products {
            
            > .product {
                
                @media only screen and (min-width: $ipad-landscape-plus-pixel) {
                    
                    .mkdf-woocommerce-#{nth($product_list_columns,$i+1)} & {
                        width: $column_width;
                        
                        &:nth-child(#{$i+3}n+1) {
                            clear: both;
                        }
                    }
                }
            }
        }
    }
}

.woocommerce {
    
    &.columns-1 {
        
        > .products {
            
            > .product {
                float: none;
                width: 100%;
            }
        }
    }
    
    $product_list_vc_columns: ('columns-2', 'columns-3', 'columns-4', 'columns-5', 'columns-6');
    
    @for $i from 0 to length($product_list_vc_columns) {
        &.#{nth($product_list_vc_columns,$i+1)} {
            $column_vc_width: 100%/($i+2);
            
            > .products {
                
                > .product {
                    width: $column_vc_width;
                    $product_list_vc_columns_label: #{nth($product_list_vc_columns,$i+1)};
                    
                    @if $product_list_vc_columns_label == 'columns-5' {
                        @media only screen and (min-width: $laptop-landscape-plus-pixel) {
                            
                            &:nth-child(#{$i+2}n+1) {
                                clear: both;
                            }
                        }
                    } @else if $product_list_vc_columns_label == 'columns-6' {
                        @media only screen and (min-width: $laptop-landscape-large-plus-pixel) {
                            
                            &:nth-child(#{$i+2}n+1) {
                                clear: both;
                            }
                        }
                    } @else if $product_list_vc_columns_label == 'columns-3' {
                        @media only screen and (min-width: $ipad-portrait-plus-pixel) {
                            
                            &:nth-child(#{$i+2}n+1) {
                                clear: both;
                            }
                        }
                    } @else if $product_list_vc_columns_label == 'columns-2' {
                        @media only screen and (min-width: $phone-landscape-plus-pixel) {
                            
                            &:nth-child(#{$i+2}n+1) {
                                clear: both;
                            }
                        }
                    } @else {
                        @media only screen and (min-width: $ipad-landscape-plus-pixel) {
                            
                            &:nth-child(#{$i+2}n+1) {
                                clear: both;
                            }
                        }
                    }
                }
            }
        }
    }
}
/* ==========================================================================
   WooCommerce Product List page styles - end
   ========================================================================== */